﻿/* Toggle switch base style */
.switch {
    position: relative;
    display: inline-block;
    width: 50px;
    height: 26px;
}

    .switch input {
        opacity: 0;
        width: 0;
        height: 0;
    }

/* Slider background */
.slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #ccc;
    transition: 0.4s;
    border-radius: 34px;
}

    /* Slider knob */
    .slider:before {
        position: absolute;
        content: "";
        height: 20px;
        width: 20px;
        left: 3px;
        bottom: 3px;
        background-color: white;
        transition: 0.4s;
        border-radius: 50%;
    }

/* When checked */
input:checked + .slider {
    background-color: darkgray;
}

    input:checked + .slider:before {
        transform: translateX(24px);
    }


/* DARK MODE SUPPORT */
.dark-mode {
    background-color: #121212;
    color: #f0f0f0;
}

    .dark-mode .navbar,
    .dark-mode .modal-content,
    .dark-mode .div,
    .dark-mode .footer,
    .dark-mode .card,
    .dark-mode .table,
    .dark-mode input,
    .dark-mode select,
    .dark-mode textarea,
    .dark-mode a.nav-link,
    .dark-mode a.navbar-brand,
    .dark-mode li {
        background-color: #1e1e1e !important;
        color: #e0e0e0 !important;
        border-color: #333 !important;
    }


    .dark-mode .basisbtn {
        background-color: #333;
        border-color: #555;
    }

    .dark-mode .btn-primary {
        background-color: #333;
        border-color: #555;
    }

    .dark-mode .form-control::placeholder {
        color: #aaa;
    }

    .dark-mode .text-dark{
        color: #e0e0e0 !important;
    }
    
    /* Targeting heading elements */
    .dark-mode h1,
    .dark-mode h2,
    .dark-mode h3,
    .dark-mode h4,
    .dark-mode h5,
    .dark-mode h6 {
        color: #e0e0e0; /* Set heading text color in dark mode */
    }

